/*
 * InterfaceUsuarioBean.java
 *
 * Created on 11 de enero de 2005, 04:04 PM
 */

package registrojdbc;

import java.beans.*;
import java.io.Serializable;

/**
 * @author Administrador
 */
public class InterfaceUsuarioBean extends InterfaceUsuario implements Serializable {
      
    private Datos datos;
    private Manejador manejador;
    
    public InterfaceUsuarioBean() {
        datos = new RegistroUsuario();
        manejador = new ManejadorRegistroUsuario(this);
    }
    public String leerDatos(String name) {
	String str = null;
        if (datos != null)
            str = datos.leerValor(name);
        else
            System.out.println("Datos nulos");
        if (str == null)
            str = "";
	return str;
    }    
    public Datos getDatos() {
	return datos;
    }
    public Manejador getManejador() {
	return manejador;
    }

    public void leerElementos(Datos d){
        d.copiarValores(datos);
    }
    public void escribirElementos(Datos d){
        datos.copiarValores(d);
    }
    public void enviarEvento(String action){
        manejador.manejarEvento(action);
    }
}
